MEGA_DAMAGE_VERSION = GetAddOnMetadata("MegaDamage", "Version");
MEGA_DAMAGE_PROFILE = "";
MEGA_DAMAGE_UNLOCKED = false;

MEGA_DAMAGE = {};

MEGA_DAMAGE_VERSION_ID = 10700;

MEGA_DAMAGE_THRESHOLD_MIN = 50;
MEGA_DAMAGE_CAP = 1000;
MEGA_DAMAGE_THRESHOLD_STEP = 10;
MEGA_DAMAGE_DEFAULT_THRESHOLD = 200;

MEGA_HEALING_THRESHOLD_MIN = 10;
MEGA_HEALING_CAP = 1000;
MEGA_HEALING_THRESHOLD_STEP = 10;
MEGA_HEALING_DEFAULT_THRESHOLD = 100;

-- restore pre-6.0 thresholds if still playing on 5.x client
if (select(4, GetBuildInfo()) < 60000) then
    MEGA_DAMAGE_THRESHOLD_MIN = 20;
    MEGA_DAMAGE_CAP = 500;
    MEGA_DAMAGE_THRESHOLD_STEP = 5;
    MEGA_DAMAGE_DEFAULT_THRESHOLD = 70;

    MEGA_HEALING_THRESHOLD_MIN = 20;
    MEGA_HEALING_CAP = 500;
    MEGA_HEALING_THRESHOLD_STEP = 5;
    MEGA_HEALING_DEFAULT_THRESHOLD = 100;
end

MEGA_DAMAGE_SOUNDS = {
    [1] = {file = ""},
    [2] = {file = "Sound\\INTERFACE\\AlarmClockWarning2.ogg"},
    [3] = {file = "Sound\\Events\\ArchaniteRipper.ogg", cooldown = 12},
    [4] = {file = "Sound\\Spells\\avengingwrath_impact_base.ogg"},
    [5] = {file = "Sound\\Spells\\Bonk2.ogg"},
    [6] = {file = "Sound\\Spells\\Clearcasting_Impact_Chest.ogg", cooldown = 1},
    [7] = {file = "Sound\\Spells\\CrowdCheerAlliance1.ogg", cooldown = 5},
    [8] = {file = "Sound\\Spells\\DeathKnight_Deathgate.ogg", cooldown = 2},
    [9] = {file = "Sound\\Spells\\SPELL_DoomBolt_Impact_01.ogg", cooldown = 2},
    [10] = {file = "Sound\\Spells\\CallLightning.ogg", cooldown = 1},
    [11] = {file = "Sound\\Spells\\Tranquility.ogg", cooldown = 2},
    [12] = {file = "Sound\\event\\Event_Operation_Gnomergan_Explosion2.ogg", cooldown = 4},
    [13] = {file = "Sound\\Spells\\FX_Guitar_MetalRiffs_01.ogg", cooldown = 10},
    [14] = {file = "Sound\\Spells\\FX_Guitar_MetalRiffs_02.ogg", cooldown = 10},
    [15] = {file = "Sound\\Spells\\FX_Guitar_MetalRiffs_03.ogg", cooldown = 10},
    [16] = {file = "Sound\\Spells\\FX_Guitar_MetalRiffs_04.ogg", cooldown = 10},
    [17] = {file = "Sound\\Spells\\FX_Guitar_MetalRiffs_05.ogg", cooldown = 10},
    [18] = {file = "Sound\\INTERFACE\\LevelUp.ogg", cooldown = 3},
    [19] = {file = "Sound\\Spells\\MidSummer-TorchGameComplete.ogg", cooldown = 2},
    [20] = {file = "Sound\\INTERFACE\\RaidBossWarning.ogg", cooldown = 2},
    [21] = {file = "Sound\\Events\\scourge_horn.ogg", cooldown = 8},
    [22] = {file = "Sound\\Event\\EVENT_TippingTheBalance_HarrisonWhip_01.ogg", cooldown = 2},
    [23] = {file = "Sound\\Spells\\BrutallasBreakIceDoor.ogg", cooldown = 3},
    [24] = {file = "Sound\\Spells\\Decimate_StateStand.ogg", cooldown = 2},
    [25] = {file = "Sound\\Spells\\FairyTale_SFX_01.ogg", cooldown = 2},
    [26] = {file = "Sound\\Spells\\Frost_Cannon_Cast_01.ogg", cooldown = 2},
    [27] = {file = "Sound\\Spells\\SPELL_HeroicStrike_Impact_01.ogg", cooldown = 1},
};
